Subject: [676] Non-Delivery of:[651] ftp problems on PTX

From: POSTMASTER <[email-masked]>
Date: Thu Nov 10 17:19:33 1994

Intended recipients: dan thorson
Failure reason: Router: Unable to open mailbox file MN-MPS1 mail.box: Server not responding
Date: Wed, 09 Nov 1994 08:42:20 -0500 (EST)
From: [email-masked] (Diwakar H. Prabhakar)
Subject: [651] ftp problems on PTX
To: [email-masked]
Errors-to: [email-masked]
Reply-to: [email-masked]
Message-id: <[email-masked]>
X-Mailer: ELM [version 2.4 PL24]
Content-type: text
Content-transfer-encoding: 7BIT
Content-length: 1066
 
Hi,
 
I am tring to install wu-ftpd for the first time.
 
I have sucessfully compiled ftpd, modified inetd.conf and restarted
inetd. However, when I try to ftp into the server, I get knocked out. I
checked the syslog files on the server running wu-ftpd and it displays
the following:
 
     syslog: getpeername (ftpd): Socket operation on non-socket
     syslog: getsockname (ftpd): Socket operation on non-socket
     ftpd[15711]: fcntl F_SETOWN: Invalid argument
 
I checked ftpd.c and getppername(), getsockname() and fcntl() calls are
made as follows:
 
    getpeername(0, (struct sockaddr *) &his_addr, &addrlen)
    getsockname(0, (struct sockaddr *) &ctrl_addr, &addrlen)
    fcntl(fileno(stdin), F_SETOWN, getpid())
 
>From what I understand, getpeername() and getsockname() specify 0 as the
socket_fd, which does not seem to be a proper file descriptor. Do I need
to change this to something else ?
 
fcntl() under ptx(SVR3.2) does not use the F_SETOWN option. Does this
need to be changed too ?
 
I would appreciate any help regarding this matter.
 
Thanks,
Diwakar
 
### Message trace information:
### IGATE1 Version 8, IGATE2 Version 10
### MsgFileName: m:\mgate\inbound\16525600.MIN
### From:        [email-masked]
### To:          [email-masked]
--
POSTMASTER -- [email-masked]
-------------------------------------------------------------------------
Seagate Technology   -   920 Disc Drive   -   Scotts Valley, CA 95066 USA
Main Phone 408-438-6550   -   Email Problems [email-masked]
Technical Support: BBS 408-438-8771  Fax 408-438-8137  Voice 408-438-8222  
-------------------------------------------------------------------------

### OGATE Version 8 message trace and attachment information:
### MsgFileName: m:\mgate\outbound\1302.MSG
### Org Date:    11-09-94 05:01:37 PM
### From:        [email-masked]@INTERNET @ SEAGATE
### To:          [email-masked]@INTERNET
### Subject:     Non-Delivery of:[651] ftp problems on PTX
### Attachments: none